WB32L003 Standard Peripherals Firmware Library

Data Fields
TIM_OCInitTypeDef Struct Reference
WB32L003_StdPeriph_Driver » TIM

TIM Output Compare Init structure definition. More...

`#include <wb32l003_tim.h>`

## Data Fields
uint16_t | TIM_OCMode
uint16_t | TIM_OutputState
uint16_t | TIM_OutputNState
uint16_t | TIM_Pulse
uint16_t | TIM_OCPolarity
uint16_t | TIM_OCNPolarity
uint16_t | TIM_OCIdleState
uint16_t | TIM_OCNIdleState

## Detailed Description

TIM Output Compare Init structure definition.

## Field Documentation

## ◆ TIM_OCIdleState

uint16_t TIM_OCIdleState

Specifies the TIM Output Compare pin state during Idle state. This parameter can be a value of TIM_Output_Compare_Idle_State

Note
  This parameter is valid only for TIM1.

## ◆ TIM_OCMode

uint16_t TIM_OCMode

Specifies the TIM mode. This parameter can be a value of TIM_Output_Compare_and_PWM_modes

## ◆ TIM_OCNIdleState

uint16_t TIM_OCNIdleState

Specifies the TIM Output Compare pin state during Idle state. This parameter can be a value of TIM_Output_Compare_N_Idle_State

Note
  This parameter is valid only for TIM1.

## ◆ TIM_OCNPolarity

uint16_t TIM_OCNPolarity

Specifies the complementary output polarity. This parameter can be a value of TIM_Output_Compare_N_Polarity

Note
  This parameter is valid only for TIM1.

## ◆ TIM_OCPolarity

uint16_t TIM_OCPolarity

Specifies the output polarity. This parameter can be a value of TIM_Output_Compare_Polarity

## ◆ TIM_OutputNState

uint16_t TIM_OutputNState

Specifies the TIM complementary Output Compare state. This parameter can be a value of TIM_Output_Compare_N_state

Note
  This parameter is valid only for TIM1.

## ◆ TIM_OutputState

uint16_t TIM_OutputState

Specifies the TIM Output Compare state. This parameter can be a value of TIM_Output_Compare_state

## ◆ TIM_Pulse

uint16_t TIM_Pulse

Specifies the pulse value to be loaded into the Capture Compare Register. This parameter can be a number between 0x0000 and 0xFFFF

The documentation for this struct was generated from the following file:

- wb32l003_tim.h